package com.inspect.analysis.domain;

import java.io.Serializable;
import java.util.Objects;

public class AnalyseSummaryAlarmModel implements Serializable {
    private String isToday;
    private String pointName;
    private String objectId;
    private String filter;
    private String type;

    public String getIsToday() {
        return this.isToday;
    }

    public String getPointName() {
        return this.pointName;
    }

    public String getObjectId() {
        return this.objectId;
    }

    public String getFilter() {
        return this.filter;
    }

    public String getType() {
        return this.type;
    }

    public void setIsToday(String isToday) {
        this.isToday = isToday;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    public void setFilter(String filter) {
        this.filter = filter;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public boolean equals(Object object) {
        if (this == object) return true;
        if (object == null || getClass() != object.getClass()) return false;
        AnalyseSummaryAlarmModel that = (AnalyseSummaryAlarmModel) object;
        return Objects.equals(isToday, that.isToday) && Objects.equals(pointName, that.pointName) && Objects.equals(objectId, that.objectId) && Objects.equals(filter, that.filter) && Objects.equals(type, that.type);
    }

    @Override
    public int hashCode() {
        return Objects.hash(isToday, pointName, objectId, filter, type);
    }

    @Override
    public String toString() {
        return "AnalyseSummaryAlarmModel{" +
                "isToday='" + isToday + '\'' +
                ", pointName='" + pointName + '\'' +
                ", objectId='" + objectId + '\'' +
                ", filter='" + filter + '\'' +
                ", type='" + type + '\'' +
                '}';
    }
}
